org.eclipse.jface.text

## Interface IWidgetTokenOwnerExtension

All Known Implementing Classes:
  ProjectionViewer, SourceViewer, TextConsoleViewer, TextViewer

    public interface IWidgetTokenOwnerExtension

Extension interface for `IWidgetTokenOwner`.

Replaces the original `requestWidgetToken` functionality with a new priority based approach.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `requestWidgetToken(IWidgetTokenKeeper requester, int priority)` Requests the widget token from this token owner.

### Method Detail

#### requestWidgetToken

    boolean requestWidgetToken(IWidgetTokenKeeper requester,
                               int priority)

Requests the widget token from this token owner. Returns `true` if the token has been acquired or is already owned by the requester. This method is non-blocking.

`priority` is forwarded to any existing token keeper to give it an estimate on whether the request has higher priority than the current keeper's. There is, however, no guarantee that another keeper will release the token even if it has a high priority.

Parameters:
  `requester` - the token requester
  `priority` - the priority of the request
Returns:
  `true` if requester acquires the token, `false` otherwise